%ext ck3

#####################
#Files and text     #
#####################

#Make an external helptext file: (Max length 2000 chars)
%patchfile $179D0 "HELPTXT.CK3"

#Make an external story files, max size 2.9KB
%patchfile $18BC5 "STORY.txt"

#Tileset file
%patchfile 0x198C8 dttv3t.tli

#Mortimer Conversation
%patch $57CE $20 $00 #Width of fourth box
%patch $5930 $5D $2A #Fix 'ofthe' line
%patch $5B03 $ED $2B #Fix finale 'my future' line
%patch $5B0B $14 $2C #And line after that...
%patch $5B13 $13 $2C #Third Line...
%patch $5B3F $68 $2C
%patch $5B47 $8F $2C
%patch $5B4F $BA $2C #Aaand back to normal!

%patch 0x01C08D "No..."

%patch 0x01C093 "It can't be!"

%patch 0x01C0A0 "Commander clown???"

%patch 0x01C0B3 "What are YOU doing here?" $0A $00
%patch 0x01C0DB "the sudkoka have no need" $0A $00
%patch 0x01C103 "for Vorticion nubcakes!" $0A $00
%patch 0x01C12A "I will crush you, like I did" $0A $00
%patch 0x01C14F "thousands of other Vorticions." $00

%patch 0x01C176 "Yes , commander clown , your death "
%patch 0x01C19B "will be here and now." $0A $00
%patch 0x01C1BF "So sorry that I have to end your young" $0A $00 
%patch 0x01C1E7 "life, the good always die young" $0A $00
%patch 0x01C20D "you know!"  $00

%patch 0x01C21A "'Shikadi! It's COMMANDER Keen;"  $0A $00
%patch 0x01C23B "and what are you doing?'" $00

%patch 0x01C25A "I bring up memeories of the past;" $0A $00
%patch 0x01C27D "we missed you so much, but your"
%patch 0x01C29E "death was glorious. Your pyre   " $0A $00
%patch 0x01C2C0 "burned so brightly!" $00

%patch 0x01C2E2 "'You don't make any sense at all!'"

%patch 0x01C305 "Well, I do alway enjoy a nice battle "
%patch 0x01C32C "that is impossible to lose!" $0A $00
%patch 0x01C353 "HAHAHAHAHAHAHAHA!" $00

#Finale
%patch $5A74 $53 #Use Shikadi sprite in ending
%patch $5A81 $F0 $FF #Move sprite to level edge
%patch $5A98 $00 $E8 #Move Keen left
%patchfile $5B9E "1.BEH" #This file stops all those Vorticons taking pictures!
%patch $5CA9 $90 #Except this one, we fix now.
%patch $5CC8 $90

%patch 0x01C36D "AUW, stop the shooting , it's really  "
%patch 0x01C395 "starting to hurt now!"  $0A $00
%patch 0x01C3BB "Ok, our attacking failed, but you     "
%patch 0x01C3E3 "should know I didn't do it for nothing" $00

%patch 0x01C40D "My future visions were wrong, you are" $0A $00
%patch 0x01C434 "still alive, just like those vorticons" $0A
                "that destroyed most of our planets." $00

%patch 0x01C488 "Earth was not the only one that got a" $0A $00
%patch 0x01C4AF "visit from a mothership, I saw things," $0A $00
%patch 0x01C4DA "but who belives it?" $00

%patch 0x01C4EE "I do." $00

%patch 0x01C507 "The end?  "
%patch 0x01C512 "Probably!"

#Menu
%patch 0x01C801 "Previews   "
%patch 0x01C821 "About me     "
%patch 0x01C833 "Nothing  "

#About ID...
%patch 0x01C870 $00
%patch 0x01C898 $00
%patch 0x01C8C0 $00
%patch 0x01C8E8 $00
%patch 0x01C910 $00
%patch 0x01C938 $00
%patch 0x01C960 $00
%patch 0x01C988 $00
%patch 0x01C9B0 $00
%patch 0x01C9D8 $00
%patch 0x01CA00 $00

#Ordering Info
%patch 0x01CBEE "Hi , I am shikadi                  "
%patch 0x01CC13 "I made this mod                       "
%patch 0x01CC3A "                                 "
%patch 0x01CC5E "                                     "
%patch 0x01CC85 "                                     "
%patch 0x01CCAC "                                     "
%patch 0x01CCD3 "                                   "
%patch 0x01CCF8 "                             "
%patch 0x01CD18 "                                    "
%patch 0x01CD3E "                                     "
%patch 0x01CD65 "                                       "
%patch 0x01CD8E "                                  "
%patch 0x01CDB3 "                                        "
%patch 0x01CDDD "                                      "


#####################
#Sprites            #
#####################

#Make the ball move 1/2 speed
%patch $4C1E $38 $FF #Ball left speed 2
%patch $4C2A $C8 $00 #Ball right speed 2
%patch $4C36 $38 $FF #Ball upwards speed 2
%patch $4C42 $C8 $00 #Ball downwards speed 2

%patch $3EFF $03 $00 #Jack stuns
%patch $4877 $BD $4B #Meep shoots Jacks
%patch $4880 $03 $00 #Meep Jacks stun
%patch $3C8D $02 $00 #Make vortikid kill Keen. 
%patch $3F27 $98 $48 #Jack spawns dead Meep
%patch $3D51 $01 $00 #Meep doesn't push
%patch $4071 $02 $00 #Sparks kill
%patch $46D2 $3D $06 #Vortimom shots don't hit this
%patch $3CEF $06 $00 #Vortimom kills
%patch $3D51 $06 $00 #Meep kills
%patch $487C $C6 $46 #Zaps/zots when it hits a sprite, but not Vortimom 

%patch $3D1C $02 $00 #Vortimom strength
%patch $3DE6 $11 $00 #Vortininja strength
%patch $3C58 $03 $00 #Vorticon strength
%patch $3D7F $00 $6A #meep is immortal

#Meep shot position (Default $000010 - $000004,if zero then no shot appears)
%patch $486A     $08 #Vertical
%patch $486C $00 $00

#Change dead Ninja so it wins game when shot:
%patch $4A07 $F7 $48 #Dead Ninja acts alive (Adds a strength!)
%patch $4A02 $BE $4E #Dead Ninja wins game when shot
%patch $49F2 $00 $06 #Dead Ninja still kills Keen



#####################
#Game patches       #
#####################




#F1 help sprite
%patch $A09E $B6 $00 #v position
%patch $A0A2 $18 $00 #h position

#Title location (Looks nicer)
%patch $A08C   $00 $00

#Pogo doesn't fly with godmode 
%patch $75F3 $EB 

#Change the animating switch (Works only for second one)
%patch $6D7B $C2 $00 #This tile when flipped becomes...
%patch $6D80 $CF $00 #This tile and...
%patch $6D9C $CF $00 #This tile when flipped becomes...
%patch $6DB6 $C2 $00 #This tile.

#Raygun gives Keen 3 shots
%patch $7ACF $03 $00

#Changing pointitem scores:
%patch $1C085 $78 $00
%patch $1C087 $A4 $01
%patch $1C083 $80 $07
%patch $1C089 $20 $4E
%patch $1C08B $60 $EA

#Exit tiles don't change.
#Top door tile not replaced
%patch $77D6 $90
#Bottom door tile not replaced
%patch $77F9 $90
#Top blank tile doesn't appear
%patch $7824 $90
#Bottom blank tile doesn't appear
%patch $784D $90

# Make ammo clip give Keen 3 lives.
%patch $7BD2 $E8 $80 $DE $90
%patch $5A55 $83 $06 $46 $9D $03 $C3

#???
%patch $98F8  $03 $00

%end